--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/comm/propal/list.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/comm/propal/list.php	2025-03-17 14:10:29.831059000 +0000
@@ -1755,12 +1772,13 @@
 $now = dol_now();
 
 $with_margin_info = false;
-if (isModEnabled('margin') && (
-	!empty($arrayfields['total_pa']['checked'])
-	|| !empty($arrayfields['total_margin']['checked'])
-	|| !empty($arrayfields['total_margin_rate']['checked'])
-	|| !empty($arrayfields['total_mark_rate']['checked'])
-)
+if (
+	isModEnabled('margin') && (
+		!empty($arrayfields['total_pa']['checked'])
+		|| !empty($arrayfields['total_margin']['checked'])
+		|| !empty($arrayfields['total_margin_rate']['checked'])
+		|| !empty($arrayfields['total_mark_rate']['checked'])
+	)
 ) {
 	$with_margin_info = true;
 }
@@ -1779,7 +1797,7 @@
 		break; // Should not happen
 	}
 	if ($search_option) {
-		$param .= "&search_option=".urlencode($search_option);
+		$param .= "&search_option=" . urlencode($search_option);
 	}
 
 	$objectstatic->id = $obj->rowid;
@@ -1840,7 +1858,7 @@
 
 	if ($mode == 'kanban') {
 		if ($i == 0) {
-			print '<tr class="trkanban"><td colspan="'.$savnbfield.'">';
+			print '<tr class="trkanban"><td colspan="' . $savnbfield . '">';
 			print '<div class="box-flex-container kanban">';
 		}
 		// Output Kanban
@@ -1853,7 +1871,7 @@
 			print '</td></tr>';
 		}
 	} else {
-		print '<tr class="oddeven '.((getDolGlobalInt('MAIN_FINISHED_LINES_OPACITY') == 1 && $obj->status > 1) ? 'opacitymedium' : '').'">';
+		print '<tr class="oddeven ' . ((getDolGlobalInt('MAIN_FINISHED_LINES_OPACITY') == 1 && $obj->status > 1) ? 'opacitymedium' : '') . '">';
 
 		// Action column
 		if (getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
@@ -1863,7 +1881,7 @@
 				if (in_array($obj->rowid, $arrayofselected)) {
 					$selected = 1;
 				}
-				print '<input id="cb'.$obj->rowid.'" class="flat checkforselect" type="checkbox" name="toselect[]" value="'.$obj->rowid.'"'.($selected ? ' checked="checked"' : '').'>';
+				print '<input id="cb' . $obj->rowid . '" class="flat checkforselect" type="checkbox" name="toselect[]" value="' . $obj->rowid . '"' . ($selected ? ' checked="checked"' : '') . '>';
 			}
 			print '</td>';
 			if (!$i) {
@@ -1892,8 +1910,8 @@
 			// Other picto tool
 			print '<td width="16" class="nobordernopadding right">';
 			$filename = dol_sanitizeFileName($obj->ref);
-			$filedir = $conf->propal->multidir_output[$obj->propal_entity].'/'.dol_sanitizeFileName($obj->ref);
-			$urlsource = $_SERVER['PHP_SELF'].'?id='.$obj->rowid;
+			$filedir = $conf->propal->multidir_output[$obj->propal_entity] . '/' . dol_sanitizeFileName($obj->ref);
+			$urlsource = $_SERVER['PHP_SELF'] . '?id=' . $obj->rowid;
 			print $formfile->getDocumentsLink($objectstatic->element, $filename, $filedir);
 			print '</td></tr></table>';
 
@@ -1959,7 +1977,7 @@
 
 		// Town
 		if (!empty($arrayfields['s.town']['checked'])) {
-			print '<td class="tdoverflowmax100" title="'.dol_escape_htmltag($obj->town).'">';
+			print '<td class="tdoverflowmax100" title="' . dol_escape_htmltag($obj->town) . '">';
 			print dol_escape_htmltag($obj->town);
 			print '</td>';
 			if (!$i) {
@@ -1977,7 +1995,7 @@
 		}
 		// State
 		if (!empty($arrayfields['state.nom']['checked'])) {
-			print "<td>".$obj->state_name."</td>\n";
+			print "<td>" . $obj->state_name . "</td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -1985,7 +2003,7 @@
 		// Country
 		if (!empty($arrayfields['country.code_iso']['checked'])) {
 			$tmparray = getCountry($obj->fk_pays, 'all');
-			print '<td class="center tdoverflowmax100" title="'.dolPrintHTML($tmparray['label']).'">';
+			print '<td class="center tdoverflowmax100" title="' . dolPrintHTML($tmparray['label']) . '">';
 			print $tmparray['label'];
 			print '</td>';
 			if (!$i) {
@@ -2021,7 +2039,7 @@
 		// Date end validity
 		if (!empty($arrayfields['p.fin_validite']['checked'])) {
 			if ($obj->dfv) {
-				print '<td class="center">'.dol_print_date($db->jdate($obj->dfv), 'day');
+				print '<td class="center">' . dol_print_date($db->jdate($obj->dfv), 'day');
 				print '</td>';
 			} else {
 				print '<td>&nbsp;</td>';
@@ -2033,7 +2051,7 @@
 		// Date delivery
 		if (!empty($arrayfields['p.date_livraison']['checked'])) {
 			if ($obj->ddelivery) {
-				print '<td class="center">'.dol_print_date($db->jdate($obj->ddelivery), 'day');
+				print '<td class="center">' . dol_print_date($db->jdate($obj->ddelivery), 'day');
 				print '</td>';
 			} else {
 				print '<td>&nbsp;</td>';
@@ -2045,7 +2063,7 @@
 		// Date Signature
 		if (!empty($arrayfields['p.date_signature']['checked'])) {
 			if ($obj->dsignature) {
-				print '<td class="center">'.dol_print_date($db->jdate($obj->dsignature), 'day');
+				print '<td class="center">' . dol_print_date($db->jdate($obj->dsignature), 'day');
 				print '</td>';
 			} else {
 				print '<td>&nbsp;</td>';
@@ -2078,7 +2096,7 @@
 			if ($obj->fk_input_reason > 0) {
 				$labelInputReason = $form->cache_demand_reason[$obj->fk_input_reason]['label'];
 			}
-			print '<td class="tdoverflowmax125" title="'.dol_escape_htmltag($labelInputReason).'">';
+			print '<td class="tdoverflowmax125" title="' . dol_escape_htmltag($labelInputReason) . '">';
 			print dol_escape_htmltag($labelInputReason);
 			print '</td>';
 			if (!$i) {
@@ -2105,7 +2123,7 @@
 		}
 		// Amount HT
 		if (!empty($arrayfields['p.total_ht']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($obj->total_ht)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($obj->total_ht) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2120,7 +2138,7 @@
 		}
 		// Amount VAT
 		if (!empty($arrayfields['p.total_tva']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($obj->total_tva)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($obj->total_tva) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2135,7 +2153,7 @@
 		}
 		// Amount TTC
 		if (!empty($arrayfields['p.total_ttc']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($obj->total_ttc)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($obj->total_ttc) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2150,7 +2168,7 @@
 		}
 		// Amount invoiced HT
 		if (!empty($arrayfields['p.total_ht_invoiced']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($totalInvoicedHT)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($totalInvoicedHT) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2165,7 +2183,7 @@
 		}
 		// Amount invoiced TTC
 		if (!empty($arrayfields['p.total_invoiced']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($totalInvoicedTTC)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($totalInvoicedTTC) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2180,7 +2198,7 @@
 		}
 		// Currency
 		if (!empty($arrayfields['p.multicurrency_code']['checked'])) {
-			print '<td class="nowrap">'.$obj->multicurrency_code.' - '.$langs->trans('Currency'.$obj->multicurrency_code)."</td>\n";
+			print '<td class="nowrap">' . $obj->multicurrency_code . ' - ' . $langs->trans('Currency' . $obj->multicurrency_code) . "</td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2189,7 +2207,7 @@
 		// Currency rate
 		if (!empty($arrayfields['p.multicurrency_tx']['checked'])) {
 			print '<td class="nowrap">';
-			$form->form_multicurrency_rate($_SERVER['PHP_SELF'].'?id='.$obj->rowid, $obj->multicurrency_tx, 'none', $obj->multicurrency_code);
+			$form->form_multicurrency_rate($_SERVER['PHP_SELF'] . '?id=' . $obj->rowid, $obj->multicurrency_tx, 'none', $obj->multicurrency_code);
 			print "</td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
@@ -2197,35 +2215,35 @@
 		}
 		// Amount HT
 		if (!empty($arrayfields['p.multicurrency_total_ht']['checked'])) {
-			print '<td class="right nowrap"><span class="amount">'.price($obj->multicurrency_total_ht)."</span></td>\n";
+			print '<td class="right nowrap"><span class="amount">' . price($obj->multicurrency_total_ht) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Amount VAT
 		if (!empty($arrayfields['p.multicurrency_total_tva']['checked'])) {
-			print '<td class="right nowrap"><span class="amount">'.price($obj->multicurrency_total_tva)."</span></td>\n";
+			print '<td class="right nowrap"><span class="amount">' . price($obj->multicurrency_total_tva) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Amount TTC
 		if (!empty($arrayfields['p.multicurrency_total_ttc']['checked'])) {
-			print '<td class="right nowrap"><span class="amount">'.price($obj->multicurrency_total_ttc)."</span></td>\n";
+			print '<td class="right nowrap"><span class="amount">' . price($obj->multicurrency_total_ttc) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Amount invoiced
 		if (!empty($arrayfields['p.multicurrency_total_ht_invoiced']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($multicurrency_totalInvoicedHT)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($multicurrency_totalInvoicedHT) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Amount invoiced
 		if (!empty($arrayfields['p.multicurrency_total_invoiced']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($multicurrency_totalInvoicedTTC)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($multicurrency_totalInvoicedTTC) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2307,14 +2325,14 @@
 
 		// Total buying or cost price
 		if (!empty($arrayfields['total_pa']['checked'])) {
-			print '<td class="right nowrap">'.price($marginInfo['pa_total']).'</td>';
+			print '<td class="right nowrap">' . price($marginInfo['pa_total']) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Total margin
 		if (!empty($arrayfields['total_margin']['checked'])) {
-			print '<td class="right nowrap">'.price($marginInfo['total_margin']).'</td>';
+			print '<td class="right nowrap">' . price($marginInfo['total_margin']) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2325,14 +2343,14 @@
 		}
 		// Total margin rate
 		if (!empty($arrayfields['total_margin_rate']['checked'])) {
-			print '<td class="right nowrap">'.(($marginInfo['total_margin_rate'] == '') ? '' : price($marginInfo['total_margin_rate'], 0, '', 0, 0, 2).'%').'</td>';
+			print '<td class="right nowrap">' . (($marginInfo['total_margin_rate'] == '') ? '' : price($marginInfo['total_margin_rate'], 0, '', 0, 0, 2) . '%') . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Total mark rate
 		if (!empty($arrayfields['total_mark_rate']['checked'])) {
-			print '<td class="right nowrap">'.(($marginInfo['total_mark_rate'] == '') ? '' : price($marginInfo['total_mark_rate'], 0, '', 0, 0, 2).'%').'</td>';
+			print '<td class="right nowrap">' . (($marginInfo['total_mark_rate'] == '') ? '' : price($marginInfo['total_mark_rate'], 0, '', 0, 0, 2) . '%') . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2349,7 +2367,7 @@
 		}
 
 		// Extra fields
-		include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_print_fields.tpl.php';
+		include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_print_fields.tpl.php';
 		// Fields from hook
 		$parameters = array('arrayfields' => $arrayfields, 'obj' => $obj, 'i' => $i, 'totalarray' => &$totalarray);
 		$reshook = $hookmanager->executeHooks('printFieldListValue', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
@@ -2402,7 +2420,7 @@
 
 		// Import key
 		if (!empty($arrayfields['p.import_key']['checked'])) {
-			print '<td class="nowrap center">'.dol_escape_htmltag($obj->import_key).'</td>';
+			print '<td class="nowrap center">' . dol_escape_htmltag($obj->import_key) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2410,7 +2428,7 @@
 
 		// Status
 		if (!empty($arrayfields['p.fk_statut']['checked'])) {
-			print '<td class="nowrap center">'.$objectstatic->getLibStatut(5).'</td>';
+			print '<td class="nowrap center">' . $objectstatic->getLibStatut(5) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2423,7 +2441,7 @@
 				if (in_array($obj->rowid, $arrayofselected)) {
 					$selected = 1;
 				}
-				print '<input id="cb'.$obj->rowid.'" class="flat checkforselect" type="checkbox" name="toselect[]" value="'.$obj->rowid.'"'.($selected ? ' checked="checked"' : '').'>';
+				print '<input id="cb' . $obj->rowid . '" class="flat checkforselect" type="checkbox" name="toselect[]" value="' . $obj->rowid . '"' . ($selected ? ' checked="checked"' : '') . '>';
 			}
 			print '</td>';
 			if (!$i) {
@@ -2432,14 +2450,14 @@
 		}
 
 
-		print '</tr>'."\n";
+		print '</tr>' . "\n";
 	}
 
 	$i++;
 }
 
 // Show total line
-include DOL_DOCUMENT_ROOT.'/core/tpl/list_print_total.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/list_print_total.tpl.php';
 
 // If no record found
 if ($num == 0) {
@@ -2449,7 +2467,7 @@
 			$colspan++;
 		}
 	}
-	print '<tr><td colspan="'.$colspan.'"><span class="opacitymedium">'.$langs->trans("NoRecordFound").'</span></td></tr>';
+	print '<tr><td colspan="' . $colspan . '"><span class="opacitymedium">' . $langs->trans("NoRecordFound") . '</span></td></tr>';
 }
 
 $db->free($resql);
@@ -2458,10 +2476,10 @@
 $reshook = $hookmanager->executeHooks('printFieldListFooter', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
 print $hookmanager->resPrint;
 
-print '</table>'."\n";
-print '</div>'."\n";
+print '</table>' . "\n";
+print '</div>' . "\n";
 
-print '</form>'."\n";
+print '</form>' . "\n";
 
 if (in_array('builddoc', array_keys($arrayofmassactions)) && ($nbtotalofrecords === '' || $nbtotalofrecords)) {
 	$hidegeneratedfilelistifempty = 1;
@@ -2469,11 +2487,11 @@
 		$hidegeneratedfilelistifempty = 0;
 	}
 
-	require_once DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php';
+	require_once DOL_DOCUMENT_ROOT . '/core/class/html.formfile.class.php';
 	$formfile = new FormFile($db);
 
 	// Show list of available documents
-	$urlsource = $_SERVER['PHP_SELF'].'?sortfield='.$sortfield.'&sortorder='.$sortorder;
+	$urlsource = $_SERVER['PHP_SELF'] . '?sortfield=' . $sortfield . '&sortorder=' . $sortorder;
 	$urlsource .= str_replace('&amp;', '&', $param);
 
 	$filedir = $diroutputmassaction;

########## commande/list.php
